> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete a device by ID.

<Danger>This API version has reached end of life. See [supported versions](/developers/platform-api/versioning#supported-versions).</Danger>

| Scope            | Required |
| ---------------- | -------- |
| `devices:delete` | Yes      |


## OpenAPI

````yaml /references/platform-api/2025-10-21.yaml delete /devices/{device_id}
openapi: 3.0.3
info:
  title: Miru API
  version: 2025-10-21.zion
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru API
security:
  - ApiKeyAuth: []
paths:
  /devices/{device_id}:
    delete:
      tags:
        - Devices
      summary: Delete
      description: Delete a device by ID.
      operationId: deleteDevice
      parameters:
        - $ref: '#/components/parameters/components-parameters-device_id'
      responses:
        '200':
          description: Successfully deleted the device.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteDevice'
      x-codeSamples:
        - lang: Python
          source: |-
            from miru_server_sdk import Miru

            client = Miru(
                api_key="My API Key",
            )
            device = client.devices.delete(
                "dvc_123",
            )
            print(device.id)
components:
  parameters:
    components-parameters-device_id:
      name: device_id
      in: path
      required: true
      description: The unique identifier of the device.
      schema:
        type: string
        example: dvc_123
  schemas:
    DeleteDevice:
      title: Delete Device
      type: object
      required:
        - object
        - id
        - deleted
      properties:
        object:
          type: string
          enum:
            - device
          example: device
        id:
          type: string
          description: The ID of the device.
          example: dvc_123
        deleted:
          type: boolean
          description: Whether the device was deleted.
          example: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The API key to use for authentication. Retrieve your API key from the
        [Miru dashboard](https://app.mirurobotics.com/settings/api-keys).

````